Index: src/main/java/finki/it/terapijamkbackend/spring/controllers/AppointmentController.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/controllers/AppointmentController.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/java/finki/it/terapijamkbackend/spring/controllers/AppointmentController.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -94,5 +94,4 @@
         try {
             Long userId = appointmentService.updateAppointment(term);
-            System.out.println(userId);
             return ResponseEntity.ok(userId.toString());
         } catch (Exception e) {
@@ -120,7 +119,7 @@
         try {
             appointmentService.deleteAppointmentByTerm(term);
-            return ResponseEntity.noContent().build(); // Returns 204 No Content on success
+            return ResponseEntity.noContent().build();
         } catch (IllegalArgumentException e) {
-            return ResponseEntity.notFound().build(); // Returns 404 Not Found if appointment doesn't exist
+            return ResponseEntity.notFound().build();
         }
     }
@@ -149,4 +148,3 @@
     }
 
-
 }
Index: src/main/java/finki/it/terapijamkbackend/spring/controllers/AuthController.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/controllers/AuthController.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/java/finki/it/terapijamkbackend/spring/controllers/AuthController.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -3,5 +3,4 @@
 import finki.it.terapijamkbackend.spring.dto.LoginResponse;
 import finki.it.terapijamkbackend.spring.entities.User;
-import finki.it.terapijamkbackend.spring.entities.UserRole;
 import finki.it.terapijamkbackend.spring.services.UserService;
 import jakarta.servlet.http.Cookie;
@@ -49,6 +48,11 @@
             Cookie usernameCookie = new Cookie("username", temp.getUsername());
             usernameCookie.setPath("/");
-            usernameCookie.setMaxAge(60*5);
+            usernameCookie.setMaxAge(600);
             response.addCookie(usernameCookie);
+
+            Cookie roleCookie = new Cookie("role", temp.getUserRole().toString());
+            roleCookie.setPath("/");
+            roleCookie.setMaxAge(600);
+            response.addCookie(roleCookie);
 
             return ResponseEntity.ok(loginResponse);
Index: src/main/java/finki/it/terapijamkbackend/spring/controllers/CouponController.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/controllers/CouponController.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/java/finki/it/terapijamkbackend/spring/controllers/CouponController.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -3,5 +3,4 @@
 import finki.it.terapijamkbackend.spring.services.CouponsService;
 import jakarta.persistence.EntityNotFoundException;
-import jakarta.transaction.Transactional;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.http.HttpStatus;
@@ -20,5 +19,4 @@
     @PutMapping("/createCoupon")
     public ResponseEntity<Coupon> updateCoupon(@RequestBody Coupon couponItem) {
-        System.out.println(couponItem);
         if (couponItem.getTitle() == null || couponItem.getCode() == null) {
             return ResponseEntity.badRequest().build();
@@ -53,7 +51,14 @@
         coupon.setCode(newCouponData.getCode());
         coupon.setDescription(newCouponData.getDescription());
-        couponService.save(coupon); // Save the updated coupon
+        couponService.save(coupon);
 
         return ResponseEntity.ok().build();
     }
+
+
+    @GetMapping("/getCouponNames")
+    public ResponseEntity<List<String>> getCouponNames() {
+        List<String> couponNames = couponService.getCouponNames();
+        return ResponseEntity.ok(couponNames);
+    }
 }
Index: src/main/java/finki/it/terapijamkbackend/spring/controllers/EventController.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/controllers/EventController.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/java/finki/it/terapijamkbackend/spring/controllers/EventController.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -1,7 +1,5 @@
 package finki.it.terapijamkbackend.spring.controllers;
 
-import finki.it.terapijamkbackend.spring.entities.Coupon;
 import finki.it.terapijamkbackend.spring.entities.Event;
-import finki.it.terapijamkbackend.spring.services.AppointmentService;
 import finki.it.terapijamkbackend.spring.services.EventService;
 import jakarta.persistence.EntityNotFoundException;
@@ -23,5 +21,4 @@
     @PutMapping("/createEvent")
     public ResponseEntity<Event> updateEvent(@RequestBody Event eventItem) {
-        System.out.println(eventItem);
         if (eventItem.getTitle() == null || eventItem.getText() == null) {
             return ResponseEntity.badRequest().build();
@@ -57,5 +54,5 @@
         event.setText(newEventData.getText());
         event.setImgSrc(newEventData.getImgSrc());
-        eventService.saveEvent(event); // Save the updated coupon
+        eventService.saveEvent(event);
 
         return ResponseEntity.ok().build();
Index: src/main/java/finki/it/terapijamkbackend/spring/controllers/RequestController.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/controllers/RequestController.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/java/finki/it/terapijamkbackend/spring/controllers/RequestController.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -37,5 +37,4 @@
     @GetMapping("/listAll")
     public List<TermsResponse> getRequestsByUser(@RequestParam("username") String username) {
-        System.out.println(username);
         List<Request>terms=requestService.findRequestsByUsername(username);
         return terms.stream()
Index: src/main/java/finki/it/terapijamkbackend/spring/controllers/UserController.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/controllers/UserController.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/java/finki/it/terapijamkbackend/spring/controllers/UserController.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -45,5 +45,4 @@
             response = new HashMap<>();
             response.put("message", "User created successfully!");
-            System.out.println(response);
             return ResponseEntity.ok(response);
         } catch (Exception e) {
@@ -54,9 +53,9 @@
     @GetMapping("/editUser")
     public ResponseEntity<User> getUser(@RequestParam String username) {
-        User user = userService.getUserByUsername(username); // Fetch user data from service
+        User user = userService.getUserByUsername(username);
         if (user != null) {
-            return ResponseEntity.ok(user); // Return user data as JSON
+            return ResponseEntity.ok(user);
         } else {
-            return ResponseEntity.notFound().build(); // Handle user not found
+            return ResponseEntity.notFound().build();
         }
     }
@@ -76,9 +75,9 @@
             String oldUsername=getCookieValue(request, "username");
             User user = userService.updateUser(oldUsername, updatedUser);
-            return ResponseEntity.ok(user); // Return the updated user in the response
+            return ResponseEntity.ok(user);
         } catch (UserNotFoundException e) {
-            return ResponseEntity.status(HttpStatus.NOT_FOUND).build(); // Return a 404 if user is not found
+            return ResponseEntity.status(HttpStatus.NOT_FOUND).build();
         } catch (Exception e) {
-            return ResponseEntity.status(HttpStatus.INTERNAL_SERVER_ERROR).build(); // Return a 500 for other errors
+            return ResponseEntity.status(HttpStatus.INTERNAL_SERVER_ERROR).build();
         }
     }
Index: src/main/java/finki/it/terapijamkbackend/spring/controllers/WebController.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/controllers/WebController.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/java/finki/it/terapijamkbackend/spring/controllers/WebController.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -1,10 +1,12 @@
 package finki.it.terapijamkbackend.spring.controllers;
 
+import finki.it.terapijamkbackend.spring.services.UserService;
+import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.stereotype.Controller;
 import org.springframework.web.bind.annotation.GetMapping;
 
+
 @Controller
 public class WebController {
-
     @GetMapping(path="/")
     public String index() {
@@ -51,3 +53,8 @@
         return "html/adminCoupons";
     }
+
+    @GetMapping(path="/userInfo.html")
+    public String userInfo() {
+        return "html/userInfo";
+    }
 }
Index: src/main/java/finki/it/terapijamkbackend/spring/entities/Appointment.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/entities/Appointment.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/java/finki/it/terapijamkbackend/spring/entities/Appointment.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -26,5 +26,5 @@
     private Long id;
 
-    @ManyToOne(fetch = FetchType.LAZY)  // Fetch the related entity lazily to avoid loading all properties
+    @ManyToOne(fetch = FetchType.LAZY)
     @JoinColumn(name="request_id", referencedColumnName = "id")
     @JsonIgnore
Index: src/main/java/finki/it/terapijamkbackend/spring/entities/Event.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/entities/Event.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/java/finki/it/terapijamkbackend/spring/entities/Event.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -25,7 +25,9 @@
 
     private String title;
+    @Lob
+    @Column(name = "text", columnDefinition = "TEXT")
     private String text;
-    @Lob // Indicates that this field can hold large data
-    @Column(name = "img_src", columnDefinition = "TEXT") // Ensure column type is TEXT in database
+    @Lob
+    @Column(name = "img_src", columnDefinition = "TEXT")
     private String imgSrc;
 
Index: src/main/java/finki/it/terapijamkbackend/spring/services/CouponsService.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/services/CouponsService.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/java/finki/it/terapijamkbackend/spring/services/CouponsService.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -9,4 +9,5 @@
 import java.util.List;
 import java.util.Optional;
+import java.util.stream.Collectors;
 
 @Service
@@ -33,4 +34,9 @@
         return couponRepository.findByTitle(identifier);
     }
+    public List<String> getCouponNames() {
+        return couponRepository.findAll().stream()
+                .map(Coupon::getCode)
+                .collect(Collectors.toList());
+    }
 
     public void save(Coupon coupon) {
Index: src/main/java/finki/it/terapijamkbackend/spring/services/EventService.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/services/EventService.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/java/finki/it/terapijamkbackend/spring/services/EventService.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -1,8 +1,6 @@
 package finki.it.terapijamkbackend.spring.services;
 
-import finki.it.terapijamkbackend.spring.entities.Coupon;
 import finki.it.terapijamkbackend.spring.entities.Event;
 import finki.it.terapijamkbackend.spring.repositories.EventRepository;
-import finki.it.terapijamkbackend.spring.repositories.UserRepository;
 import jakarta.persistence.EntityNotFoundException;
 import org.springframework.beans.factory.annotation.Autowired;
Index: src/main/java/finki/it/terapijamkbackend/spring/services/RequestService.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/services/RequestService.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/java/finki/it/terapijamkbackend/spring/services/RequestService.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -41,5 +41,4 @@
     public List<Request> findRequestsByUsername(String username) {
        User user=userRepository.findByUsername(username).orElse(null);
-        System.out.println(user.getId());
         return requestRepository.findRequestsForFreeAppointments(user.getId());
     }
Index: src/main/java/finki/it/terapijamkbackend/spring/services/UserService.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/services/UserService.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/java/finki/it/terapijamkbackend/spring/services/UserService.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -58,5 +58,5 @@
             }
 
-            return userRepository.save(existingUser); // Save the updated user back to the database
+            return userRepository.save(existingUser);
         } else {
             throw new UserNotFoundException("User not found with username: " + username);
